%include common-macros.specinclude

Summary: Standalong version of printing.c from the gtk-demos
Name: lsb-gtk-print-dialog
Version: 1.0.0
Release: 4.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/desktop
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc lsb-build-desktop

Source0: gtk-print-dialog.c
Source1: lsb-gtk-print-dialog.desktop
Source2: gtk-print.png

%description
Excerpt from the gtk-demos, modified to be a standalone app. 
Added to the LSB application battery to test the GTK print dialog.

%prep
%setup -q -c -T
cp %{SOURCE0} .

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
export CC=lsbcc
export CXX=lsbc++
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig
export LSBLIBDIR=-L%{libdir}

lsbcc -o gtk-print-dialog gtk-print-dialog.c `pkg-config gtk+-unix-print-2.0 pangocairo --libs --cflags`

%install
rm -rf %{buildroot}

install -d %{buildroot}%{bindir}
cp gtk-print-dialog %{buildroot}%{bindir}

install -d %{buildroot}%{sharedir}/doc
cp gtk-print-dialog.c %{buildroot}%{sharedir}/doc

# desktop stuff
install -d %{buildroot}%{sharedir}/applications
cp %{SOURCE1} %{buildroot}%{sharedir}/applications

install -d %{buildroot}%{sharedir}/icons/hicolor/16x16/apps
cp %{SOURCE2} %{buildroot}%{sharedir}/icons/hicolor/16x16/apps

%pre

%post
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu install /opt/lsb/appbat/share/applications/lsb-gtk-print-dialog.desktop
fi

%preun
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu uninstall /opt/lsb/appbat/share/applications/lsb-gtk-print-dialog.desktop
fi

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Thu May 12 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Tue Jul 27 2010 Stew Benedict <stewb@linux-foundation.org>
- initial addition to appbat
